# Entities

Types:

```python
from nemo_platform.types.entities import EntitiesPage, Entity, EntityCreateParam, EntityUpdate
```

Methods:

- client.entities.create(entity_type, \*, workspace, \*\*params) -> Entity
- client.entities.list(entity_type, \*, workspace, \*\*params) -> SyncDefaultPagination[Entity]
- client.entities.delete_entity_by_name(name, \*, workspace, entity_type, \*\*params) -> DeleteResponse
- client.entities.get_entity_by_id(id) -> Entity
- client.entities.get_entity_by_name(name, \*, workspace, entity_type, \*\*params) -> Entity
- client.entities.update_entity_by_name(name, \*, workspace, entity_type, \*\*params) -> Entity
